[package]
name = "personal-webpage"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
yew = "0.21.0" 
web-sys = {version="0.3.69", features = [
    "console",
    "Document",
    "HtmlElement",
    "MouseEvent",
    "DomRect",
    "DomTokenList",
    "MediaQueryList",
    "HtmlImageElement",
    "ScrollToOptions",
    "ScrollBehavior",
    "Navigator",
    "DomRect",
    "ServiceWorkerContainer"
]} 
js-sys = "0.3.69" 
wasm-bindgen = "0.2.92"
yew-agent = "0.3.0"   
serde = {version="1.0.199", features=["derive"]}   
gloo-timers = "0.3.0"     
wasm-bindgen-futures = "0.4.42"
wasm-logger = "0.2.0"
log = "0.4.21" 
gloo-events = "0.2.0"
regex = "1.10.3"  
yew-router = "0.18.0"
futures = "0.3.30" 
